Get Qlik objects by report
Get the list of Qlik objects from the report template items.
Authorization
auth ApiKey AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
X-API-KEY<token>
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Path Parameters
id*string
The unique ID of the report.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/objects"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "apps": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "string", "icon": "string", "sheets": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "qAppId": "string", "qObjectId": "string", "description": "string", "type": "string", "icon": "string", "caption": "string", "sheetName": "string", "sheetId": "string", "sheetRank": 0, "width": 0.1, "height": 0.1, "tableExport": true, "imageExport": true, "objects": [ {} ] } ] } ] }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}